> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a quote

> Get a bridge quote for a deposit or withdrawal.



## OpenAPI

````yaml openapi/polymarket-bridge.json POST /apis/v1/polymarket/quote
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Bridge
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/deposit
    - /apis/v1/polymarket/quote
    - /apis/v1/polymarket/status/{address}
    - /apis/v1/polymarket/supported-assets
    - /apis/v1/polymarket/withdraw
  x-aisa-document:
    facts_hash: 2086e30aaacbdf046a1028dc02ae4ed4958ee132ea224144dc1e956945c61119
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:a22669af750e793690ca9b6ba1c73d040b9af5d18c6207e9282cf0f95572ce64
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-bridge
  x-aisa-catalogs:
    polymarket-bridge:
      title: Polymarket Bridge
      description: ''
      x-aisa-document:
        facts_hash: 2086e30aaacbdf046a1028dc02ae4ed4958ee132ea224144dc1e956945c61119
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/quote:
    post:
      tags:
        - default
      summary: Get a quote
      description: Get a bridge quote for a deposit or withdrawal.
      operationId: any_polymarket_bridge_apis_v1_polymarket_quote
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - fromAmountBaseUnit
                - fromChainId
                - fromTokenAddress
                - recipientAddress
                - toChainId
                - toTokenAddress
              properties:
                fromAmountBaseUnit:
                  type: string
                  description: Amount of tokens to send
                  example: '10000000'
                fromChainId:
                  type: string
                  description: Source Chain ID
                  example: '137'
                fromTokenAddress:
                  type: string
                  description: Source token address
                  example: '0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359'
                recipientAddress:
                  type: string
                  description: Address of the recipient
                  example: '0x17eC161f126e82A8ba337f4022d574DBEaFef575'
                toChainId:
                  type: string
                  description: Destination Chain ID
                  example: '137'
                toTokenAddress:
                  type: string
                  description: Destination token address
                  example: '0xC011a7E12a19f7B1f670d46F03B03f3342E82DFB'
            example:
              fromAmountBaseUnit: '10000000'
              fromChainId: '137'
              fromTokenAddress: '0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359'
              recipientAddress: '0x17eC161f126e82A8ba337f4022d574DBEaFef575'
              toChainId: '137'
              toTokenAddress: '0xC011a7E12a19f7B1f670d46F03B03f3342E82DFB'
      responses:
        '200':
          description: Quote retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response7A88Af0Ff8Eb_QuoteResponse'
              example:
                estCheckoutTimeMs: 25000
                estFeeBreakdown:
                  appFeeLabel: Fun.xyz fee
                  appFeePercent: 0
                  appFeeUsd: 0
                  fillCostPercent: 0
                  fillCostUsd: 0
                  gasUsd: 0.003854
                  maxSlippage: 0
                  minReceived: 14.488305
                  swapImpact: 0
                  swapImpactUsd: 0
                  totalImpact: 0
                  totalImpactUsd: 0
                estInputUsd: 14.488305
                estOutputUsd: 14.488305
                estToTokenBaseUnit: '14491203'
                quoteId: >-
                  0x00c34ba467184b0146406d62b0e60aaa24ed52460bd456222b6155a0d9de0ad5
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response7A88Af0Ff8Eb_QuoteResponse:
      type: object
      properties:
        estCheckoutTimeMs:
          type: integer
          description: Estimated time to complete the checkout in milliseconds
          example: 25000
        estFeeBreakdown:
          $ref: '#/components/schemas/Response7A88Af0Ff8Eb_FeeBreakdown'
        estInputUsd:
          type: number
          description: Estimated token amount received in USD
          example: 14.488305
        estOutputUsd:
          type: number
          description: Estimated token amount sent in USD
          example: 14.488305
        estToTokenBaseUnit:
          type: string
          description: Estimated token amount received
          example: '14491203'
        quoteId:
          type: string
          description: Unique quote id of the request
          example: '0x00c34ba467184b0146406d62b0e60aaa24ed52460bd456222b6155a0d9de0ad5'
    Response7A88Af0Ff8Eb_FeeBreakdown:
      type: object
      description: Breakdown of the estimated fees
      properties:
        appFeeLabel:
          type: string
          description: Label of the app fee
          example: Fun.xyz fee
        appFeePercent:
          type: number
          description: App fees as a percentage of the total amount sent
          example: 0
        appFeeUsd:
          type: number
          description: App fees in USD
          example: 0
        fillCostPercent:
          type: number
          description: Fill cost percentage of the total amount sent
          example: 0
        fillCostUsd:
          type: number
          description: Fill cost in USD
          example: 0
        gasUsd:
          type: number
          description: Gas fee in USD
          example: 0.003854
        maxSlippage:
          type: number
          description: Maximum potential slippage as a percentage
          example: 0
        minReceived:
          type: number
          description: Amount after factoring slippage
          example: 14.488305
        swapImpact:
          type: number
          description: Swap impact as a percentage of the total amount sent
          example: 0
        swapImpactUsd:
          type: number
          description: Swap impact of the transaction in USD
          example: 0
        totalImpact:
          type: number
          description: Total impact as a percentage of the total amount sent
          example: 0
        totalImpactUsd:
          type: number
          description: Impact cost of the transaction
          example: 0
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.